June 2026

Prev Next

Reporting API

June 15, 2026

Get CDR pagination is updated and improved:

  • Added cursor-based pagination to Get list of CDRs (GET /api/v4/reporting/cdrs).
  • Added the cursor query parameter.
  • Added metadata.next_cursor to the response metadata.
  • Updated the maximum limit for CDR list requests from 100 to 1000.
  • Clarified that offset-based pagination is limited to the first 10000 records.
  • Documented cursor and offset behavior when both parameters are sent.

Related article:

Dialer campaigns: Ready to dial column

June 3, 2026

A Ready to dial column was added to the Campaigns page. The column displays the number of contacts currently available for dialing.

Related articles:

Voice Providers: Custom TLS SIP Port Configuration

June 2, 2026

The Voice providers configuration documentation has been updated to reflect support for custom SIP port values when TLS is selected as the transport protocol. Previously, the SIP port was automatically set to 5061 and could not be changed.

Related article:

Campaigns API: AMD voicemail configuration

June 2, 2026

For the Create campaign and Partially update campaign endpoints, validation was updated for amd_voicemail_message:

  • If amd_voicemail_message is included, amd_voicemail_message.enabled is required.

Related articles:

Campaigns API: Follow up mode

June 2, 2026

Follow up mode support was added to the Create campaign and Partially update campaign endpoints.

  • follow_up_mode controls how follow up attempts are prioritized within follow_up_rules:

    • timer (default)
    • lowest_attempts

Related articles: